
#version 460

in vec2 _uv_out;
out vec4 _color_out;

uniform sampler2D _texture;
uniform vec4 _color;

void main() {
	float sampled = texture(_texture, _uv_out).r;
	_color_out = vec4(_color.x * sampled, _color.y * sampled, _color.z * sampled, _color.w * sampled);
}
